[Résolu] “Warning” bloque l’accès aux fonctions

  • WordPress :5.2
  • Statut : résolu
4 sujets de 1 à 4 (sur un total de 4)
  • Auteur
    Messages
  • #2260609
    jean-marc.S
    Participant
    Initié WordPress
    2 contributions

    Bonjour,

    Souci de “Warning” qui bloque l’accès à des boutons d’action…

    Ma configuration WP actuelle :

    • – Version de WordPress : 5.2
    • – Version de PHP/MySQL : 7.2.14 / 5.7.24
    • – Thème utilisé : EmpowerWP
    • – Thème URI : https://extendthemes.com/empowerwp/
    • – Extensions en place : Autoptimize (2.5.0), Duplicator (1.3.12), Easy Google Fonts (1.4.4), Forum_wordpress_fr (4.1), Mesmerize Companion (1.6.110), One Click Demo Import (2.5.1), The Events Calendar (4.9.1.1), WPForms Lite (1.5.2.3), Yoast SEO (11.1.1)
    • – Adresse du site : http://localhost
    • – Nom de l’hébergeur : Apache/2.4.37 (Win64) PHP/7.2.14

    Problème(s) rencontré(s) :

    Sur mon thème “EmpowerWP”, et uniquement celui-ci, un message m’empêche d’accéder à des boutons de fonctions comme “Exporter le site” ou autre, je suis très certainement à l’origine du bug mais je suis incapable de revenir en arrière.

    • Warning: call_user_func_array() expects parameter 1 to be a valid callback, function ‘wpc_remove_footer_admin’ not found or invalid function name in C:wamp64wwwwp-includesclass-wp-hook.php on line 286

    Merci de votre aide pour faire disparaître le message ou résoudre cette erreur.

    Bien cordialement,

    Jean-Marc

    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2260611
    Li-An
    Modérateur
    Maître WordPress
    22085 contributions

    Bonjour, de quand date la dernière mise à jour du thème. Peut être qu’il n’est pas compatible WP 5.2. Posez la question au développeur.

    #2260798
    jean-marc.S
    Participant
    Initié WordPress
    2 contributions

    Bonjour, de quand date la dernière mise à jour du thème. Peut être qu’il n’est pas compatible WP 5.2. Posez la question au développeur.

    Après contact avec Extend Themes, le développeur du thème “EmpowerWP”, j’ai obtenu la réponse suivante qui fonctionne…

    “Hello,

    Warnings and notices are not affecting the behavior of the site and they should not be displayed in the browser on live servers.

    Please add the following line to your wp-config.php file so the warnings are not displayed on the site.

    ini_set(“display_errors”, 0);


    Regards,
    Ionut Tudose,
    ExtendThemes”

    Merci Li-An de ton conseil.

    Bien cordialement,

    Jean-Marc

    #2260808
    Li-An
    Modérateur
    Maître WordPress
    22085 contributions

    C’est un peu n’importe quoi cette réponse : le code cache juste l’affichage des erreurs mais ça n’empêche pas l’erreur.

4 sujets de 1 à 4 (sur un total de 4)
  • Vous devez être connecté pour répondre à ce sujet.